Package Details: mysqltcl 3.052-2

Git Clone URL: https://aur.archlinux.org/mysqltcl.git (read-only)
Package Base: mysqltcl
Description: Mysqltcl allows to connect Mysql-Database from Tcl scripting language.
Upstream URL: https://github.com/xdobry/mysqltcl
Submitter: m3thodic
Maintainer: m3thodic
Last Packager: m3thodic
Votes: 0
Popularity: 0.000000
First Submitted: 2016-07-21 18:42
Last Updated: 2016-07-21 18:53

Latest Comments

jfrigola commented on 2017-02-12 20:56

It compiled but it's not working with MySQL 5.7

I installed mysql 5.7.16-1 from AUR and I have libmysqlclient.so.20 but mysqltcl requires libmysqlclient.so.18

How can I fix this?

jfrigola commented on 2017-02-11 14:06

Worked. I was just missing lib32-glibc

m3thodic commented on 2017-02-10 19:52

@josep What version of libmariadbclient do you have installed? I was able to successfully build using 10.1.21-1.

josep commented on 2017-02-09 23:55

It's not compiling for x86_64 in an updated system. Can you please check and confirm if working on 64bit? This is what I get:

gcc -pipe -shared -o libmysqltcl3.052.so mysqltcl.o -L/usr/lib -ltclstub8.6 -L/usr/lib -lmysqlclient
/usr/bin/ld: skipping incompatible /usr/lib/libmysqlclient.so when searching for -lmysqlclient
/usr/bin/ld: skipping incompatible /usr/lib/libmysqlclient.a when searching for -lmysqlclient
/usr/bin/ld: skipping incompatible /usr/lib/libmysqlclient.so when searching for -lmysqlclient
/usr/bin/ld: skipping incompatible /usr/lib/libmysqlclient.a when searching for -lmysqlclient
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/6.3.1/../../../../lib/libmysqlclient.so when searching for -lmysqlclient
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/6.3.1/../../../../lib/libmysqlclient.a when searching for -lmysqlclient
/usr/bin/ld: skipping incompatible /lib/../lib/libmysqlclient.so when searching for -lmysqlclient
/usr/bin/ld: skipping incompatible /lib/../lib/libmysqlclient.a when searching for -lmysqlclient
/usr/bin/ld: skipping incompatible /usr/lib/../lib/libmysqlclient.so when searching for -lmysqlclient
/usr/bin/ld: skipping incompatible /usr/lib/../lib/libmysqlclient.a when searching for -lmysqlclient
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/6.3.1/../../../libmysqlclient.so when searching for -lmysqlclient
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/6.3.1/../../../libmysqlclient.a when searching for -lmysqlclient
/usr/bin/ld: skipping incompatible /usr/lib/libmysqlclient.so when searching for -lmysqlclient
/usr/bin/ld: skipping incompatible /usr/lib/libmysqlclient.a when searching for -lmysqlclient
/usr/bin/ld: cannot find -lmysqlclient
collect2: error: ld returned 1 exit status
make: *** [Makefile:257: libmysqltcl3.052.so] Error 1